Block IE6 (and older)


Image courtesy of: https://www.ie6death.com

#D7CX: I pledge that Block IE6 will have a full Drupal 7 release on the day that Drupal 7 is released.

Prevent [what may be a slick and modern] Drupal-powered website from looking broken in IE6 (and older) and politely request users of these ancient browsers to upgrade.

For more information about the movement:

https://www.ie6death.com/
https://www.ie6nomore.com/
https://www.bringdownie6.com/

Credits

Module development: Phase2 Technology
The awesome tombstone graphics: ie6death.com

Usage

The module is fully i18n-ed and theme-able. It comes with a very simple "your browser is ancient" response page, which is displayed for IE6 (and older) users. If you want something more creative, please copy block-ie6.tpl.php, from the module folder, to your theme folder and change it as you wish.

Caution: Don't forget to clear cache after the copy, so that theme layer detects the new file.

Alternatives

Other Drupal 6+ modules that also achieve IE6 blocking (though with different approaches):


Block IE6 (and older)项目的Drush安装命令:复制到剪贴板

注:个别模块仍需开启相关子模块。
周安装量: 
26
维护状态: 
未知
开发状态: 
积极开发中